package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.util.core.CofarSDK;

public class SovsVide extends BaseDevMode{

    public SovsVide(){

        this.setMode(WorkModes.SOVIS_VIDE);


        //时间
        this.setMinTime(0);
        this.setMaxTime(12 * 60 * 60);
        this.setDefaultTime(6  * 60 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMotorDirection(MotorDirections.REVERSE);
        this.setMotorGearChange(false);
        this.setMotorDirectionChange(false);

        //温度
        this.setDefaultTemp(60);
        this.setMinTemp(40);
        this.setMaxTemp(85);

    }

    @Override
    public boolean startCountTime() {

        if(CofarSDK.devInfo().getTemp() >= CofarSDK.devInfo().getTargetTemp()){
            return super.startCountTime();
        }else{
            return false;
        }


    }


}
